#include "pairs.hh"

Level Wily1 =
{
	6, // level number
	"Wily1",

	// screens:
	{
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"                "   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,LevelBegin| Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "t               "
		"                "   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "               t"
		"                "   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"......####......"   "                "
		"......####......"   "                "
		"....########...."   "                "
		"    ########    "   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "       t        "
		"................"   "                "
		"......####......"   "                "
		"......####......"   "                "
		"....########...."   "                "
		"    ########    "   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"..........##RRRR"   "                "
		"..........##RRRR"   "                "
		"..........####RR"   "                "
		"..........####RR"   "                "
		"..........######"   "                "
		"..........######"   "                "
		"..........##RRRR"   "                "
		"..........##RRRR"   "                "
		"..........GGGGGG"   "                "
		"..........GGGGGG"   "                "
		"..........GG##GG"   "                "
		"          GGRRGG"   "                "
		"############RR##"   "                "
		"##########RRRRRR"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"####RRRR#####|##"   "                "
		"####RRRR#####|##"   "                "
		"RR######### V|##"   "                "
		"RR######### V|##"   "                "
		"#########V  V#RR"   "                "
		"#########V  VRRR"   "                "
		"RR####V  V##X###"   "                "
		"RR####V  VRRX###"   "                "
		"      V##V######"   "                "
		"      VRRV######"   "                "
		"    ##X###RRRR##"   "            I   "
		"    RRX###RRRR##"   "                "
		"########RRRR####"   "         I      "
		"RRRR####RRRR####"   "                "
		"##########RRRR##"   "      I         "
		"##########RRRR##"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"##|###RRRR##RR##"   "                "
		"##|###RRRR##RR##"   "                "
		"##|#####   #####"   "                "
		"##|#####   #####"   "         E      "
		"##|   ####    ##"   "                "
		"##|   ####    ##"   "                "
		"##|        ##|##"   "                "
		"##|        ##|##"   "                "
		"##           |##"   "                "
		"##   ##      |##"   "                "
		"##   ##      |##"   "                "
		"##   ##  #  #|##"   "                "
		"##^^^##^^#^^#|##"   "                "
		"#############|##"   "                "
		"######RR#####|##"   "                "
		"######RR#####|##"   "                "
		, 1 // monster graphics index
		,Up},
		{
		"RRRR####RR######"   "                "
		"RRRR####RR######"   "                "
		"######RR####RR##"   "                "
		"######RR####RR##"   "                "
		"RR##RRRRRR####RR"   "                "
		"RR##RRRRRR####RR"   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##            ##"   "       j   j   j"
		"##            RR"   "                "
		"##|#############"   "                "
		"##|RRRRRRRRRRR##"   "                "
		"##|###RR##RRRRRR"   "                "
		"##|###RR##RRRRRR"   "                "
		, 2 // monster graphics index
		,Right},
		{
		"RR########RRRR##"   "                "
		"RR########RRRR##"   "                "
		"        GGGG  ##"   "                "
		"        GGGG  ##"   "E  j   j        "
		"############  ##"   "                "
		"RRRRRRRRRRRR  ##"   "                "
		"              ##"   "                "
		"              ##"   "             j  "
		"    ############"   "                "
		"    RRRRRRRRRR##"   "                "
		"  GGGGGG      ##"   "                "
		"  GGGGGG      ##"   "                "
		"#############|##"   "                "
		"RRRRRRRRRRRRR|##"   "                "
		"########RR###|##"   "                "
		"########RR###|##"   "                "
		, 2 // monster graphics index
		,Down},
		{
		"##            ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##  ############"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"####  #  #  # ##"   "               s"
		"####^^#^^#^^# ##"   "                "
		"############# ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##|#############"   "                "
		"##|#######RRRRRR"   "                "
		"##|#######RRRRRR"   "                "
		, 2 // monster graphics index
		,Down| RestartPointA},
		{
		"## #########RRRR"   "                "
		"## #########RRRR"   "                "
		"##  ^^^^^^^^^^^^"   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "              T "
		"##              "   "                "
		"####            "   "                "
		"##RR^^^^^^^^^^^^"   "                "
		"########RR######"   "                "
		"########RR######"   "                "
		, 3 // monster graphics index
		,Right},
		{
		"####RR### ###|##"   "                "
		"####RR### ###|##"   "                "
		"^^^^^^^^^    |##"   "                "
		"             |##"   "                "
		"             |##"   "                "
		"             |##"   "                "
		"             |##"   "                "
		"             |##"   "                "
		"             |##"   "                "
		"             |##"   "                "
		"             |##"   "   L    L       "
		"             |##"   "           pp   "
		"          ######"   "                "
		"^^^^^^^^^^RRRR##"   "                "
		"########RR######"   "                "
		"########RR######"   "                "
		, 3 // monster graphics index
		,Up},
		{
		"##|#############"   "                "
		"##|#############"   "                "
		"##|   ##      ##"   "                "
		"##|   ##      ##"   "                "
		"##    ##  ##  ##"   "                "
		"##    ##  RR  ##"   "                "
		"##    ##  ##  ##"   "                "
		"##    ##  ##  ##"   "                "
		"##    ##  ##  ##"   "                "
		"##    ##  ##  ##"   "                "
		"##        ##  ##"   "                "
		"##        ##  ##"   "                "
		"##        ##  ##"   "                "
		"#########V###|##"   "                "
		"#########V###|##"   "                "
		"#########V###|##"   "                "
		, 1 // monster graphics index
		,Up},
		{
		"RRRR####RR######"   "                "
		"RRRR####RR######"   "                "
		"######RR####RR##"   "                "
		"######RR####RR##"   "                "
		"RR##RRRRRR####RR"   "                "
		"RR##RRRRRR####RR"   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##            ##"   "                "
		"##            RR"   "                "
		"##|#############"   "                "
		"##|RRRRRRRRRRR##"   "                "
		"##|###RR##RRRRRR"   "                "
		"##|###RR##RRRRRR"   "                "
		, 1 // monster graphics index
		,Shutter| RestartPointB},
		{
		"RR##########RR##"   "                "
		"RR##########RR##"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"################"   "                "
		"RRRRRRRRRRRRRRR#"   "                "
		"########RR##RRRR"   "                "
		"########RR##RRRR"   "                "
		"######RRRRRR####"   "                "
		"######RRRRRR####"   "                "
		, 4 // monster graphics index
		,End},
	},

	// palette
	{
		15, 32,  0,  2, 
		15, 43, 25, 44, 
		15, 23,  7, 15, 
		15, 32,  0, 38, 

		15, 44, 17, 15, 
		15, 32, 56, 15, 
		15, 39, 21, 15, 
		15, 48, 17, 15, 

		15, 32,  0,  2, 
		15,  0, 16, 32, 
		15, 23,  7,  7, 
		15, 32,  0, 38, 
	},

	// after doors palette
	{
/* Not used in Wily stages */
	},

	// actives
	{
	},

	// enemies
	{
		Enemy( 128, 0x00,0x00, 0x0 ),
	},

	// level gfx (id, count) (max 16); id is block*4+bank
	{
		{ 0x40, 8 }, { 0x7A, 1 }, { 0xC2, 4 }, { 0xE2, 1 }, 
		{ 0xD8, 1 }, { 0x5E, 1 }, { 0xC0, 2 }, { 0x43, 4 }, 
		{ 0xD8, 2 }, { 0x63, 8 }, 
	},

	// monster gfx tables (max 11) (5 tiles, 2*3bytepalette)
	{
		{ { 0x7A, 0xC2, 0xC6, 0x62, 0x72, }, { 39,21,15, 48,17,15,} },
		{ { 0x6E, 0x7E, 0xBE, 0x62, 0x72, }, { 48,17,15, 48,21,15,} },
		{ { 0x6E, 0x7E, 0xBE, 0x62, 0x72, }, { 48,21,15, 48,21,15,} },
		{ { 0xD6, 0xB6, 0xBA, 0x76, 0x72, }, { 44,17,15, 48,42,15,} },
		{ { 0xDF, 0xE3, 0xE3, 0xE3, 0xE3, }, { 48,21,15, 48,23,39,} },
	},

	0x00, // Arrival input

	Wily1Ascii, Wily1Char
};
