#include "pairs.hh"

Level Wily3 =
{
	8, // level number
	"Wily3",

	// screens:
	{
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"----------||||##"   "        c       "
		"----------||||##"   "                "
		"----------||||##"   "                "
		"----------||||##"   "                "
		"----------||||##"   "                "
		"----------||||##"   "         c      "
		"##########||||##"   "          h     "
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||||##"   "                "
		, 0 // monster graphics index
		,Down| LevelBegin},
		{
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||####"   "                "
		"##########||||##"   "                "
		"##||||----||||##"   "     .          "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "  h             "
		"##||||##########"   "     h          "
		"##||||##########"   "  h             "
		"##||||##########"   "                "
		"##||||##########"   "                "
		, 0 // monster graphics index
		,Down},
		{
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"####||##########"   "                "
		"##||||----||||##"   "          .     "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "             h  "
		"##||||----||||##"   "             h  "
		"##########||||##"   "          h     "
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||||##"   "                "
		, 0 // monster graphics index
		,Down},
		{
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||||##"   "                "
		"##########||####"   "                "
		"##########||||##"   "             .  "
		"##||||----||||##"   "         .      "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||----||||##"   "                "
		"##||||##########"   "   h            "
		"##||||##########"   "  h             "
		"##||||##########"   "     h          "
		"##||||##########"   "                "
		, 0 // monster graphics index
		,Down},
		{
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||##########"   "                "
		"##||||----------"   "                "
		"##||||----------"   "                "
		"##||||----------"   "                "
		"##||||----------"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"----------------"   "                "
		"----------------"   "                "
		"----------------"   "                "
		"----------------"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "i               "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "              i "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "s               "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"================"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"######========##"   "                "
		"######========##"   "                "
		"==============##"   "                "
		"==============##"   "                "
		"==============##"   "                "
		"==============##"   "                "
		"######=========="   "                "
		"######=========="   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Shutter},
		{
		"#######..#######"   "                "
		"#######..#######"   "                "
		"#==============#"   "                "
		"#==============#"   "                "
		"#==============#"   "                "
		"#==============#"   "                "
		".==============."   "                "
		".==============."   "                "
		"#=======??=====#"   "                "
		"#=======??=====#"   "                "
		"======??????===#"   "                "
		"======??????===#"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 2 // monster graphics index
		,End},
	},

	// palette
	{
		15, 32, 16,  0, 
		15, 40, 24,  8, 
		15, 33, 17, 12, 
		15, 32, 38, 15, 

		15, 44, 17, 15, 
		15, 32, 56, 15, 
		15, 48, 21, 15, 
		15, 48, 21, 15, 

		15, 32, 16,  0, 
		15, 44, 28,  7, 
		15, 32, 16,  0, 
		15, 32, 38, 15, 
	},

	// after doors palette
	{
/* Not used in Wily stages */
	},

	// actives
	{
		Active( 2, 23, 0x60,0xA0, 0x80,0xC0 ),
		Active( 2, 23, 0x80,0x80, 0xA0,0xA0 ),
		Active( 2, 23, 0x80,0xA0, 0xA0,0xC0 ),
		Active( 2, 23, 0xA0,0xA0, 0xC0,0xC0 ),
	},

	// enemies
	{
		Enemy( 5, 0x80,0x80, 0x2F ),
		/* One of these is responsible of reassigning graphics for the flying bomb */
		Enemy( 13, 0xE0,0x0C, 0xFF ),
		Enemy( 22, 0x80,0x80, 0x30 ),
	},

	// level gfx (id, count) (max 16); id is block*4+bank
	{
		{ 0x40, 8 }, { 0x6E, 3 }, { 0x7A, 2 }, { 0xE2, 1 }, 
		{ 0xD8, 1 }, { 0x5E, 1 }, { 0xC0, 2 }, { 0x43, 4 }, 
		{ 0xD8, 2 }, { 0x53, 6 }, { 0x59, 2 }, 
	},

	// monster gfx tables (max 11) (5 tiles, 2*3bytepalette)
	{
		{ { 0x6E, 0x7E, 0xBE, 0x7A, 0x7E, }, { 48,21,15, 48,21,15,} },
		{ { 0x6E, 0xCA, 0x76, 0x76, 0x7E, }, { 48,21,15, 48,21,15,} },
		{ { 0x4A, 0x6A, 0x6E, 0x76, 0xDA, }, { 48,39,15, 48,28,12,} },
	},

	0x00, // Arrival input

	Wily3Ascii, Wily3Char
};
